<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS DOM</title>
</head>

<body>
    <div>
        <button id="male">male</button>
        <button>female</button>
    </div>

    <!-- script code -->
    <script>
        console.log(document);
        console.log(document.head);
        console.log(document.body);
        console.log(document.body.div);
        console.log(document.button);
        console.log(document.body.button);
        // console.log(document.body.div.button);
     let container=   document.getElementsByTagName('div');
     console.log(container);
     let buttonTag=document.getElementsByTagName('button');
     console.log(buttonTag);
     console.log(buttonTag[1]);
     console.log(buttonTag[5]);
     let maleButtonTag=document.getElementById('male');
     console.log(maleButtonTag);
    </script>
</body>

</html>